Bug 1411887 - Poor UI performance in the global region for services: going from a VM to a service
Summary: Poor UI performance in the global region for services: going from a VM to a s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.6.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.7.2
Assignee: Nick LaMuro
QA Contact: Pradeep Kumar Surisetty
URL:
Whiteboard:
Depends On: 1405454
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 16:45 UTC by Satoe Imaishi
Modified: 2020-12-14 08:00 UTC (History)
15 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1405454
Environment:
Last Closed: 2017-06-08 19:54:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
psuriset: needinfo+


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-01-10 17:30:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/ca34e404e4d911084da5e20e7c8d61fc49cf75cd

commit ca34e404e4d911084da5e20e7c8d61fc49cf75cd
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Tue Dec 13 20:45:50 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 10 12:27:19 2017 -0500

    Merge pull request #11502 from NickLaMuro/sqlize_service_aggregation_virtual_cols
    
    Update Service Aggregation Methods to use SQL
    (cherry picked from commit bbe42e02017aa9a9a16c1e52a318daafb3a7a7b7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411883
    https://bugzilla.redhat.com/show_bug.cgi?id=1411887

 app/controllers/application_controller.rb |   4 +-
 app/controllers/service_controller.rb     |   9 +
 app/models/service/aggregation.rb         | 280 ++++++++++++++++++++++++++++--
 3 files changed, 279 insertions(+), 14 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.